SKB_COPY_DATAGRAM_FR(9)

NAME
skb_copy_datagram_from_iter - Copy a datagram from an iov_iter.

SYNOPSIS

int skb_copy_datagram_from_iter(struct sk_buff * skb, int offset, struct iov_iter * from, int len);

ARGUMENTS

skb
    buffer to copy

offset
    offset in the buffer to start copying to

from
    the copy source

len
    amount of data to copy to buffer from iovec

DESCRIPTION

Returns 0 or -EFAULT.

COPYRIGHT